﻿' (C) Copyright 2010 by Microsoft 
'
Imports System
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.EditorInput

' This line is not mandatory, but improves loading performances
<Assembly: ExtensionApplication(GetType(OverruleXdataCopyTest.MyPlugin))> 

Namespace OverruleXdataCopyTest

  ' This class is instantiated by AutoCAD once and kept alive for the 
  ' duration of the session. If you don't do any one time initialization 
  ' then you should remove this class.
  Public Class MyPlugin
    Implements IExtensionApplication

    Dim mOverrules As SGPOverruleBag



    Public Sub Initialize() Implements IExtensionApplication.Initialize
      If mOverrules Is Nothing Then
        mOverrules = New SGPOverruleBag
        mOverrules.Register(RXClass.GetClass(GetType(BlockReference)))
      End If
    End Sub

    Public Sub Terminate() Implements IExtensionApplication.Terminate
      ' Do plug-in application clean up here
      If Not mOverrules Is Nothing Then
        mOverrules.Unregister()
      End If
    End Sub
  End Class

End Namespace